<div class="container">
  <div class="row">
    <div class="col-lg-8">
      <div class="row" style="margin-left: -15%"><h1>Welcome!</h1></div>
      <div class="row" style="margin-left: -15%"><h2>Register or login to learn more!</h2></div>
    </div>
    <div class="col-lg-4" *ngIf="formFieldsDto">
      <div class="row" style="margin-top: 13%; margin-bottom: 2%;"><h3>Fill in form:</h3></div>
      <div class="row" *ngFor="let field of formFieldsDto.formFields; let i = index" style="margin-top: 1%">
        <div class="col-lg-4">{{field.label}}</div>
        <div class="col-lg-8" *ngIf="field.typeName=='string'">
          <input class="form-control" [(ngModel)]="submissionForm[i].value">
        </div>

      </div>
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-11"></div>
    <div class="col-lg-1" style="margin-left: -1%">
      <button class="btn btn-info"  (click)="register()">Submit</button>
    </div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
